%define modname fam
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 20_%{modname}.ini

Summary:	File Alteration Monitor Functions
Name:		php-%{modname}
Version:	5.0.1
Release:	%mkrel 22
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/fam/
Source0:	http://pecl.php.net/get/fam-%{version}.tgz
Patch0:		fam-5.0.1-php-5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	fam-devel
Epoch:		1

%description
FAM monitors files and directories, notifying interested applications of
changes. A PHP script may specify a list of files for FAM to monitor using
the functions provided by this extension. The FAM process is started when the
first connection from any application to it is opened. It exits after all
connections to it have been closed. This PHP module adds support for FAM
(File Alteration Monitor). FAM monitors files and directories, notifying
interested applications of changes.

%prep

%setup -q -n fam-%{version}
%patch0 -p0
[ "../package.xml" != "/" ] && mv -f ../package.xml .

# fix version
perl -pi -e "s|^#define PHP_FAM_VERSION .*|#define PHP_FAM_VERSION \"%{version}\"|g" php_fam.h

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:5.0.1-22.mga3
+ Revision: 393262
- rebuilt for php-5.4.11

* Sun Jan 13 2013 fwang <fwang> 1:5.0.1-21.mga3
+ Revision: 376272
- fix build with php 5.4

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:5.0.1-20.mga2
+ Revision: 223885
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:5.0.1-19.mga2
+ Revision: 185182
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1:5.0.1-18.mga1
+ Revision: 47879
- removed buildroot definition from .spec
- imported package php-fam

